function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"3",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
	show_help_wnd=true;
	init_mini(1);
	create_mini(19,6,30,145,100,469,540,1001,3,10,0,1000);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"3",100,"messageinfo")
		end;		
		BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("gangster",7,0);
		DarkScreen(false);
    	if flags.minicomplete2 then
		    StopEmiter("Black");
			Set_Cursor(42,3);
			speciale_action(2,41,true);
			speciale_action(2,42,true);
			Set_Cursor(41,1);
			Set_Cursor(55,3);
			flags.minitext2=true;
			playeffect("door");	

		return; end;

	return; end;
	if sender==36 then
		if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("gangster");
		return;end;
	return;end;
	
	if sender==10 then
		flags.minicomplete2=true;
		playeffect("miniC");
		StartTimer(2100,5)	
		BlockCursor(true);		
	return; end;
	if sender==37 then
	   skipping=true;
	return;end;	
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then	

		if id==6000 then
		   CreateWindow(200,200,"3",100,"messageinfo")
		return;end;	
		
		if objectid==0 then
	
			if id==5000 and skipping then
				playeffect("skip");
				SkipMini();
				HideSkipBtn ()	
			return;end;
			
			if id==1021 then
				playeffect("close");
				clear_satelite_leaf("gangster");
				DeleteResource("bm_parts");
				DeleteResource("bm_btn");	
				DeleteResource("bm_bg");
			return;end;
						
			if not flags.minicomplete2 then			
				if id>=1001 and id<=1006 then --нажимаем на часть телеграммы
					add_to_mouse(id);
					mousepresed=true;
					objectid=id;
				return 0; end	
			return;end;
		return;end;
	return; end;  	

	if sender == 6 --Отпустили левую кнопку мышки
	then		

		
		if mousepresed==true
		then
			playeffect("pclick");
			RemoveFromMouse(objectid);
			check_mini_game_puzzle(objectid);
			mousepresed=false;
			objectid=0;
		end
	return; end;	
end;
function mini_delete ()

end;